Bug 1672096 - python-pysword-0:0.2.5-4.fc29 owns /usr/lib/python3.7/site-packages/
Summary: python-pysword-0:0.2.5-4.fc29 owns /usr/lib/python3.7/site-packages/
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pysword
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: TR Bentley
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-03 19:21 UTC by Miro Hrončok
Modified: 2019-04-02 00:01 UTC (History)
1 user (show)

Fixed In Version: python-pysword-0.2.5-6.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-02 00:01:45 UTC


Attachments (Terms of Use)

Description Miro Hrončok 2019-02-03 19:21:52 UTC
The /usr/lib/python3.7/site-packages/ is supposed to be owned by python3-libs, not this package. Please fix the %files section not to include:

%{python3_sitelib} - /usr/lib/python3.7/site-packages/

When you do it, please make sure not to own  /usr/lib/python3.7/site-packages/__pycache__ either.

Also, as a side note, the package name is really supposed to be python3-pysword, not python-pysword.

Comment 1 TR Bentley 2019-02-03 20:01:17 UTC
Should I remove the last line of the files section?

%files -n python-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}   <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

Not sure how I am owning __pycache__ please elaborate. 


The name was agreed as part of the packaging reviews which took a number of weeks.
Can the name remain the same or MUST I fix it?

Comment 2 Miro Hrončok 2019-02-03 20:32:56 UTC
> Should I remove the last line of the files section?

No. You should change the line to:

    %{python3_sitelib}/pysword*


> Not sure how I am owning __pycache__ please elaborate. 

You are not. I've opened several bugs with the same text and I added this so people don't do:

    %{python3_sitelib}/*

Which is wrong and can end up in owning __pycache__ (in some cases only, not this one).

Comment 3 Fedora Update System 2019-03-27 21:30:28 UTC
python-pysword-0.2.5-6.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-151ec150f8

Comment 4 Fedora Update System 2019-03-29 00:12:32 UTC
python-pysword-0.2.5-6.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-151ec150f8

Comment 5 Fedora Update System 2019-04-02 00:01:45 UTC
python-pysword-0.2.5-6.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.